package org.gcube.portal.oauth.output;

import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Bean used on failed request
 * @author Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
 */
public class AccessTokenErrorResponse {
	
	@NotNull
	@JsonProperty("error")
	private String error;
	
	@JsonProperty("error_description")
	private String errorDescription;
	
	@JsonProperty("error_uri")
	private String errorUri;

	/**
	 * @param error
	 * @param errorDescription
	 * @param errorUri
	 */
	public AccessTokenErrorResponse(String error, String errorDescription,
			String errorUri) {
		super();
		this.error = error;
		this.errorDescription = errorDescription;
		this.errorUri = errorUri;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

	public String getErrorDescription() {
		return errorDescription;
	}

	public void setErrorDescription(String errorDescription) {
		this.errorDescription = errorDescription;
	}

	public String getErrorUri() {
		return errorUri;
	}

	public void setErrorUri(String errorUri) {
		this.errorUri = errorUri;
	}

	@Override
	public String toString() {
		return "AccessTokenErrorResponse [error=" + error
				+ ", errorDescription=" + errorDescription + ", errorUri="
				+ errorUri + "]";
	}
}
